# File write

An action block that write or append content to a file.

The fiber will pause until the file has been saved.

## Input arguments

- Content — content written to file.
- File — path to destination file.
- Charset — charset used for written text, ignored when decoding, default is UTF-8.
- Decode — decode content encoded by hexEncode or base64Encode into binary data, ignoring charset, default is no decoding, i.e. save as text.
- Append — whether to append content to the end of an existing file, instead of overwriting it.